
import com.imsl.finance.*;
import java.text.*;
import java.util.*;

public class OddLongFirstCoupPriceEx {

    static final DateFormat dateFormat
            = DateFormat.getDateInstance(DateFormat.SHORT, Locale.US);

    static private GregorianCalendar parse(String s) throws ParseException {
        GregorianCalendar cal = new GregorianCalendar();
        cal.setTime(dateFormat.parse(s));
        return cal;
    }

    public static void main(String args[]) throws ParseException {
        GregorianCalendar settlement = parse("11/11/1992");
        GregorianCalendar maturity = parse("03/01/2005");
        GregorianCalendar issue = parse("06/15/1992");
        GregorianCalendar firstCoupon = parse("03/01/1993");
        double price = Bond.price(settlement, maturity, issue, firstCoupon,
                0.0935, .0775, 100.0, Bond.SEMIANNUAL,
                DayCountBasis.BasisActualActual);
        System.out.println("The price is " + price);
    }
}
